%define name moneymanagerex
%define version 0.9.4.2
%define release %mkrel 1

Summary: Money Manager Ex - A easy-to-use personal finance software
Name:	 %{name}
Version: %{version}
Release: %{release}
License: GPL
Group:	Office
Source:	mmex-%{version}.tar.bz2
Source1: %{name}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.codelathe.com/mmex/
BuildRequires:	dos2unix
BuildRequires:	gcc-c++
BuildRequires:	gtk2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	SDL-devel
BuildRequires: sqlite3-devel
BuildRequires:	desktop-file-utils
BuildRequires:	wxGTK2.8-devel

%description
Money Manager Ex is a free, open-source, cross-platform, easy-to-use
personal finance software.

It primarily helps organize one's finances and keeps track of where,
when and how the money goes. It is also a great tool to get a bird's
eye view of your financial worth.

Money Manager includes all the basic features that 90% of users would
want to see in a personal finance application. The design goals are
to concentrate on simplicity and user-friendliness - something one
can use everyday.

Money Manager Ex is a complete rewrite of the original Money
Manager .NET.

Main Features:
* Maintain checking, credit card, savings, stock investment accounts
* Budgeting
* Maintain and Track Fixed Assets with depreciation
* Reminders for recurring Bills and Deposits
* Simple one click reporting
* Does not require an install. Can run from a USB key.
* International language support (Available in 4 languages)
* Import data from any CSV format, QIF [ Microsoft Money ]
...


%prep
%setup -q -n mmex

# remove windows files
%__rm runtime/*.dll
%__rm runtime/Microsoft*

# this is a fix for the language settings ...
%__sed -i -e 's|mmApp->m_locale.AddCatalogLookupPathPrefix(fname.GetPath(wxPATH_GET_VOLUME));|mmApp->m_locale.AddCatalogLookupPathPrefix(langPath);|g' \
	src/util.cpp

dos2unix     runtime/*.txt docs/italian-help.html
%__chmod 644 runtime/*.txt docs/italian-help.html

%build
%__install -dm 755 build
pushd build
	sh ../configure \
		--with-wx-config=%{_bindir}/wx-config
	%__make clean
	%__make %{?jobs:-j%{jobs}} \
		CXXFLAGS="$RPM_OPT_FLAGS" \
		CPPFLAGS="$RPM_OPT_FLAGS" \
		CFLAGS="$RPM_OPT_FLAGS" \
		LDFLAGS="$RPM_OPT_FLAGS -lSDL"
popd

%install
rm -rf $RPM_BUILD_ROOT
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 build/mmex %{buildroot}%{_bindir}
%__install -m 755 %SOURCE1 %{buildroot}%{_bindir}
chmod +x %{buildroot}%{_bindir}/%{name}

%__install -dm 755 %{buildroot}%{_datadir}/%{name}
for i in db3 ico png wav; do
	%__install -m 644 runtime/*.$i %{buildroot}%{_datadir}/%{name}
done
for i in en help; do
	%__install -dm 755 %{buildroot}%{_datadir}/%{name}/$i
	%__install -m 644 runtime/$i/* %{buildroot}%{_datadir}/%{name}/$i
done

#fix doc
mkdir -p %{buildroot}%{_datadir}/doc/packages/%{name}
install -m 644 runtime/*.txt %{buildroot}%{_datadir}/doc/packages/%{name}

# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 graphics/mmexlogo.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
convert %{buildroot}%{_datadir}/pixmaps/%{name}.png -resize 48x48 %{buildroot}%{_datadir}/pixmaps/%{name}.png

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Comment=A free, open-source, cross-platform, easy-to-use personal finance software
Terminal=false
Exec=%{name}
Icon=%{name}
Name=Money Manager Ex
GenericName=Money Manager Ex
Categories=Office;Finance;X-MandrivaLinux-Office-TasksManagement
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README.TXT
%doc runtime/*.txt
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.db3
%{_datadir}/%{name}/*.ico
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.wav
%{_datadir}/doc/packages/%{name}
%dir %{_datadir}/%{name}/help
%{_datadir}/%{name}/help/*
%dir %{_datadir}/%{name}/en
%{_datadir}/%{name}/en/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Aug 14 2009 slick50 <lxgator@gmail.com> 0.9.4.2-1pclos2009
- import moneymanagerex
